# Type alias Req

Req: {
__: ((s) => string);
body: any;
csrfToken: (() => string);
flash: ((flash_type, message) => void);
get: ((s) => string);
getLocale: (() => string);
headers: GenObj;
hostname?: string;
isAuthenticated: (() => boolean);
protocol?: string;
query: GenObj;
sessionID?: string;
user?: AbstractUser;
xhr: boolean;
[k: string]: any;
}

#### Type declaration

- ##### [k: string]: any

- ##### __: ((s) => string)

  - - (s): string

    - #### Parameters

      - ##### s: string

      #### Returns string

- ##### body: any

- ##### csrfToken: (() => string)

  - - (): string

    - #### Returns string

- ##### flash: ((flash_type, message) => void)

  - - (flash_type, message): void

    - #### Parameters

      - ##### flash_type: "warning" | "success"

      - ##### message: string

      #### Returns void

- ##### get: ((s) => string)

  - - (s): string

    - #### Parameters

      - ##### s: string

      #### Returns string

- ##### getLocale: (() => string)

  - - (): string

    - #### Returns string

- ##### headers: GenObj

- ##### `Optional` hostname?: string

- ##### isAuthenticated: (() => boolean)

  - - (): boolean

    - #### Returns boolean

- ##### `Optional` protocol?: string

- ##### query: GenObj

- ##### `Optional` sessionID?: string

- ##### `Optional` user?: AbstractUser

- ##### xhr: boolean

- Defined in saltcorn-types/base_types.ts:426

Generated using TypeDoc